Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics

# Class BulkheadTelemetryTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.BulkheadTelemetryTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class BulkheadTelemetryTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`BulkheadTelemetryTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bulkheadMetricAsyncTest()`
`void`
`bulkheadMetricHistogramTest()`
`void`
`bulkheadMetricRejectionTest()`
`void`
`bulkheadMetricTest()`
`void`
`completeWaitingFutures()`
Ensure that any waiting futures get completed at the end of each test
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testMetricUnits()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadTelemetryTest

public BulkheadTelemetryTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### completeWaitingFutures

@AfterMethod public void completeWaitingFutures()
Ensure that any waiting futures get completed at the end of each test

Important in case tests end early due to an exception or failure.

### bulkheadMetricTest

public void bulkheadMetricTest() throws InterruptedException, ExecutionException, TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

### bulkheadMetricRejectionTest

public void bulkheadMetricRejectionTest() throws InterruptedException, ExecutionException, TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

### bulkheadMetricHistogramTest

public void bulkheadMetricHistogramTest() throws InterruptedException, ExecutionException, TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

### bulkheadMetricAsyncTest

public void bulkheadMetricAsyncTest() throws InterruptedException, ExecutionException, TimeoutException

Throws:
  `InterruptedException`
  `ExecutionException`
  `TimeoutException`

### testMetricUnits

public void testMetricUnits() throws InterruptedException, ExecutionException

Throws:
  `InterruptedException`
  `ExecutionException`